=== board/espt/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# Copyright (C) 2009 Renesas Solutions Corp.
# Copyright (C) 2009 Nobuhiro Iwamatsu <iwamatsu.nobuhiro@renesas.com>
#
# board/espt/Makefile

obj-y	:= espt.o
extra-y	+= lowlevel_init.o
