=== board/zipitz2/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# Copyright (C) 2009
# Marek Vasut <marek.vasut@gmail.com>
#
# Heavily based on pxa255_idp platform

obj-y	:= zipitz2.o
