=== debian/changelog ===
u-boot (2019.01+dfsg-7) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Enable pine64-lts target in u-boot-sunxi (Closes: #928947).

  [ Vagrant Cascadian ]
  * u-boot-omap: Enable am335x_evm target.
  * Add patches to enable PocketBeagle in am335x_evm target.
  * u-boot-omap: Fix instructions for installing beaglebone black.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 13 May 2019 19:07:44 -0700

u-boot (2019.01+dfsg-6) unstable; urgency=medium

  [ Domenico Andreoli ]
  * Enable support for NanoPi NEO 2 in u-boot-sunxi (Closes: #928612).

  [ Jonas Smedegaard ]
  * Sync sunxi teres-i patch with mainline u-boot, enabling USB
    support (Closes: #928815).

  [ Vagrant Cascadian ]
  * Apply patch from upstream fixing buffer overflow with ext4 filesystems
    (CVE-2019-11059, Closes: #928800).
  * Apply patch from upstream fixing randomly generated
    UUIDs. (CVE-2019-11690, Closes: #928557).

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 11 May 2019 18:20:19 -0700

u-boot (2019.01+dfsg-5) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Add patch cherry-picked upstream to add i2c initialization for sun50i.
  * Add patch by Vasily Khoruzhick to support Olimex Teres-I DIY laptop.
  * Enable teres_i target in u-boot-sunxi (Closes: #926040).

  [ Frédéric Danis ]
  * Enable orangepi_zero_plus2 target in u-boot-sunxi (Closes: #927224).

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 19 Apr 2019 16:43:08 -0700

u-boot (2019.01+dfsg-4) unstable; urgency=medium

  [ Martyn Welch ]
  * [armhf] u-boot-imx: Enable build for NXP SABRE Lite.

  [ Neil Armstrong ]
  * [arm64] u-boot-amlogic: Enable nanopi-k2 and khadas-vim/vim2.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 08 Apr 2019 19:47:02 -0700

u-boot (2019.01+dfsg-3) unstable; urgency=medium

  [ Romain Perier ]
  * [armel] u-boot-rpi: Add Raspberry Pi Zero W.

  [ Vagrant Cascadian ]
  * [armhf] u-boot-sunxi: Add bananapi_m2_berry target.
    (Closes: #923443) Thanks to Lucas Nussbaum.
  * [armhf] u-boot-imx: Add novena-rawsd target.
  * Add patches to fix SPI and USB on Dreamplug (Closes: #923379).
    Thanks to Leigh Brown and Chris Packham.
  * u-boot-tools: Remove Synopsys lintian override.
  * Add patch to fix spelling of "mismatched".
  * Add patch to fix spelling of "download".

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 28 Feb 2019 20:42:31 -0800

u-boot (2019.01+dfsg-2) unstable; urgency=medium

  [ Frédéric Danis ]
  * Enable libretech-cc target in u-boot-amlogic (Closes: #920947).

  [ Vagrant Cascadian ]
  * debian/patches: Add patch from upstream to unmount ext4 filesystems
    preventing a memory leak.
  * Add patch to fix console setting on exynos platforms.  Thanks to
    Dongjin Kim and Benjamin Drung.  (Closes: #920116).
  * Use wildcards for lintian overrides.
  * Update tester for p2371-2180 (Jetson-TX1).
  * Update tester for novena.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 19 Feb 2019 01:09:37 -0800

u-boot (2019.01+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #918940).
  * Update tester for firefly-rk3288.
  * debian/control: Build-Depends: use debhelper-compat.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 14 Jan 2019 16:36:19 -0800

u-boot (2019.01~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Update upstream signing key format.
  * Remove pinebook patches, applied upstream.
  * Drop mipsel-native-endianness patch.
  * [arm64] u-boot-amlogic: Update README for odroid-c2.
  * [armhf] u-boot-rockchip: Add firefly-rk3288 target.
  * debian/rules: Call strip --strip-unneeded and --remote-section=.note
    to comply with Debian policy 4.3.0.
  * debian/control: Update Standards-Version to 4.3.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 08 Jan 2019 15:42:38 -0800

u-boot (2018.11+dfsg-2) unstable; urgency=medium

  * u-boot-install-sunxi64:
    - Detect target based on running device-tree.
    - Prefer BL31 from arm-trusted-firmware over atf-allwinner.
    - Error out when mkimage is not found and Recommend u-boot-tools
      (Closes: #913879).  Thanks to Nicolas Schier.
  * [arm64] u-boot-sunxi: Update Recommends to use arm-trusted-firmware
    instead of atf-allwinner.
  * [arm64] u-boot-amlogic: Add Recommends on arm-trusted-firmware.
  * Update upstream signing key.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 09 Dec 2018 08:16:44 +0100

u-boot (2018.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * [armhf] u-boot-imx: Drop udoo patches, full support for distro_bootcmd
    is enabled upstream.
  * [armhf] u-boot-rockchip: Drop firefly-rk3288 target (Closes: #898520).
  * [arm64] u-boot-sunxi: Enable a64-olinuxino target (Closes: #881564).
    Thanks to Rodrigo Exterckötter Tjäder.
  * Add Pinebook support patches from sunxi maintainer tree.
  * [arm64] u-boot-sunxi: Add pinebook target.
  * [armel] Drop openrd targets, which FTBFS and are orphaned upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 14 Nov 2018 13:32:35 -0800

u-boot (2018.09+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Remove patches applied upstream.
  * Refresh udoo quad support patch.
  * Increase verbosity of make unless DEB_BUILD_OPTIONS=terse.
  * Update Standards-Version to 4.2.1.
  * [armhf] u-boot-sunxi: Enable Sinovoip Banana Pi M3 (Closes: #905922).
    Thanks to Bernhard.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 10 Sep 2018 23:59:21 -0700

u-boot (2018.07+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * u-boot-imx: Remove mx6cuboxi4x4 target, as ram is now properly
    detected with mx6cuboxi.
  * debian/watch: Add repack and compression=xz options.
  * debian/rules: Remove get-orig-source target.
  * debian/control: Update Standards-Version to 4.1.5.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 09 Jul 2018 13:34:06 -0700

u-boot (2018.07~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate:
    - Fixes USB on Pine64+.

