=== debian/watch ===
version=3

opts=pasv,repack,compression=xz,repacksuffix=+dfsg,uversionmangle=s/-rc/~rc/g,dversionmangle=s/\+dfsg.*//g,pgpsigurlmangle=s%$%.sig% \
ftp://ftp.denx.de/pub/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
